@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;600&display=swap');


* {
  box-sizing: border-box;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  font-family: "Poppins", sans-serif;
  margin: 0;
  min-height: 100vh;
  text-align: center;
  padding: 5rem;
  transition: background 0.3s linear, color 0.3s linear;
}


body.dark {
  background-color: #1f1f1f;
  color: white;
  
}

body.dark label {
  background-color: whitesmoke;
}

.toggle-container {
  position: fixed;
  top: 10px;
  right: 10px;
}

label {
  background-color: rebeccapurple;
  border-radius: 50%;
  display: inline-block;
  width: 30px;
  height: 30px;
  user-select: none;
  cursor: pointer;
  transition: background 0.3s linear;
}

input {
  visibility: hidden;
}

p {
  font-weight: bold;
}
